Subject: Re: bug#51689: emacs

From: Eli Zaretskii <[email-masked]>
Date: Wed, 17 Nov 2021 19:45:17 +0200

Ping!  Any progress there?

I'd also like to say that the only file that mentions regexp-opt-group
is regexp-opt.el itself.  So I tend to think that you have an old
regexp-opt.el/elc somewhere on your system, and that gets in the way.
Or maybe regexp-opt.el is miscompiled for some reason.

> Date: Tue, 16 Nov 2021 15:24:03 +0200
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> > Date: Tue, 16 Nov 2021 10:22:42 +0100
> > From: Han Boetes <[email-masked]>
> > Cc: [email-masked]
> > 
> > > Is it "emacs -Q -nw" or "emacs -Q -nw ~/.config/emacs/init.el", as you
> > > reported in your original report?  If the latter, we need to take a
> > > closer look at your init.el: can you find which part of it triggers
> > > this, and post that part?
> > 
> > Both of them, and with all files, my init.el was just an example.
> 
> Even with an empty .el file?  What about just "emacs -Q -nw"?
> 
> > > If "emacs -nw -Q" already triggers the error, please tell what is the
> > > terminal file from lisp/term/ that Emacs loads on your system.
> > 
> > How can I find that information?
> 
> It should be one of features mentioned in the value of 'features'.
> 
> Also, "M-: (tty-type) RET" should show the terminal type, and that
> determines the terminal file Emacs loads.
> 
> > >  features
> > 
> > I used c-h v features to get this output, is that what you meant? If not, please help me getting the requested information.
> 
> Is this in "emacs -Q -nw"?  There should be a feature defined by some
> file from lisp/term/ loaded for the terminal support, but I see no
> such feature.
> 
> 
> 
>